version: "2.3"
services:
  elasticsearch:
    image: docker.elastic.co/elasticsearch/elasticsearch:7.6.1
    container_name: elasticsearch
    environment:
      - "ES_JAVA_OPTS=-Xms1g -Xmx3g"
      - "discovery.type=single-node"
    ports:
      - "9200:9200"
    healthcheck:
      test: ["CMD-SHELL", "curl --silent --fail localhost:9200/_cluster/health || exit 1"]
      interval: 30s
      timeout: 30s
      retries: 3
    networks:
      - local

  datafiller:
    image: curlimages/curl:7.69.1
    volumes:
      - ../scripts/:/app/
    command: /app/insert_bulk.sh
    networks:
      - local

networks:
  local:
    driver: bridge
